From 4b21c43f0c7e72230101948ae2a300e5aa19b5d6 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Tue, 7 Jul 2020 18:00:40 +0800
Subject: [PATCH 13/69] ath11k: debug M3 download issue

This is to add some debug information. It rarely happens but firmware
finds the M3 header in memory are ZEROs and causes the assert in some
stress tests.

Tested-on: QCA6390 hw2.0 PCI WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1

Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/qmi.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/qmi.c b/drivers/net/wireless/ath/ath11k/qmi.c
index 55723aca48ee..581ee6c838bb 100644
--- a/drivers/net/wireless/ath/ath11k/qmi.c
+++ b/drivers/net/wireless/ath/ath11k/qmi.c
@@ -2186,6 +2186,9 @@ static int ath11k_qmi_wlanfw_m3_info_send(struct ath11k_base *ab)
 
 		req.addr = m3_mem->paddr;
 		req.size = m3_mem->size;
+		ath11k_dbg(ab, ATH11K_DBG_QMI, "m3 paddr:0x%llx\n", req.addr);
+		ath11k_dbg_dump(ab, ATH11K_DBG_QMI,
+				"M3 data", NULL, m3_mem->vaddr, 128);
 	} else {
 		req.addr = 0;
 		req.size = 0;
-- 
2.25.1

